#!/usr/bin/env python3
"""
Run this script to manually apply database migrations to add the 'approved' column
to the transactions table if it doesn't exist.
"""

import logging
from migrate_approval import migrate_database

# Configure logging
logging.basicConfig(
    level=logging.INFO,
    format='%(asctime)s - %(name)s - %(levelname)s - %(message)s'
)
logger = logging.getLogger('ploughshares')

if __name__ == "__main__":
    logger.info("Starting manual database migration...")
    migrate_database()
    logger.info("Database migration completed.") 