#!/bin/bash

# Simple script to run Lighthouse tests on the local server

echo "Running Lighthouse accessibility test on http://localhost:5005"
echo "Please open Chrome and navigate to http://localhost:5005"
echo ""
echo "Then follow these steps to run Lighthouse:"
echo "1. Right-click and select 'Inspect' or press F12"
echo "2. Click on the 'Lighthouse' tab in the DevTools panel"
echo "3. Check 'Accessibility' category"
echo "4. Click 'Generate report'"
echo ""
echo "Common accessibility issues to look for:"
echo "- Contrast ratio issues (text should have at least 4.5:1 contrast with background)"
echo "- Missing alt text on images"
echo "- Missing form labels"
echo "- Keyboard navigation issues"
echo "- ARIA attributes that are incorrect or missing"
echo ""
echo "Testing URLs:"
echo "- Main page: http://localhost:5005/"
echo "- Accessibility test page: http://localhost:5005/accessibility"
echo ""
echo "You can also use the Web Accessibility Evaluation Tool (WAVE):"
echo "https://wave.webaim.org/report#/http://localhost:5005" 